intellisense-js
================

intellisense-js is a NPM module for [Intellify Learning](http://www.intellifylearning.com) that provides an implementation of the Sensor API (including Caliper compatiblity) and the IntelliStream API.  It is suitable for use as a NPM module to build custom sensors for platforms using Intellify.

## Getting Started

### Installing and using the module:

```
npm install intellisense-js@1.0.10 --save
```

Now, you're ready to use Intellisense-JS as follows:

```
var Intellify = require('intellisense-js');
```

Please refer the IntelliSense-JS Guide for additional details.

## Release History
* 1.0.0 Initial
* 1.0.6 Updates to support IntelliStream API
* 1.0.7 Updates to support api token refresh
* 1.0.8 SSL protocol based on configuration - bug fix
* 1.0.9 optimized by removing dependencies on external libraries - caterpillar, q, url etc.
* 1.0.10 Latest - added support for better querying dynamic streams


©2015 Intellify Learning. All Rights Reserved.

For license information contact, info@intellifylearning.com
